/*
* Автор: Маркелов С.В.
* Дата: 2014-12-03
* Задача:
* Назначение: Заполнение таблицы описания ошибок
* Изменяются объекты:
* 	insert into ERRORS
*/

/*
  ****** Инструкции для SQLPlus (обязательно) ******
  Для печати сообщений:
  DBMS_OUTPUT.put_line('<Message>');
*/
whenever sqlerror exit 1;
set serveroutput on;
set echo off;

declare
	filename      varchar2(256) := 'sfm.database-update.2014-12-03.AddNewError.sql';
	purpose       varchar2(4000) := 'Заполнение таблицы описания ошибок';
	script_exists number := 0;
	cnt           number;
	language      varchar2(4000);
begin

	--delete from DB_Update_History where script_name = filename;	commit;
	select count(*)
		into script_exists
		from DB_Update_History
	 where script_name = filename;

	if (script_exists > 0) then
		RAISE_APPLICATION_ERROR(-20001, '"' || filename || '" уже присутствует в базе');
	else
		insert into DB_Update_History
			(script_name, purpose)
		values
			(filename, purpose);
	end if;

	Insert into ERRORS (ERRORCODE,ERRORNAME,ERRORDESCRIPTION,ERRORNAME_KZ,ERRORDESCRIPTION_KZ,ERRORNAME_EN,ERRORDESCRIPTION_EN,STATUS)
	values (-3103,
		'Версия сообщения не найдена в XML',
		'Версия сообщения не найдена в XML',
		'Версия сообщения не найдена в XML',
		'Версия сообщения не найдена в XML',
		null,null,0);

  	commit;

exception
	when others then
		rollback;
		raise;
end;
/
